#!/bin/sh
export PATH='/usr/lib/distcc/bin:/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: abstract-deque
version: 0.3
id: abstract-deque-0.3-fd62236d8d0dec67d702ac388f354609
key: abstr_I3MsaUDHxwBLOJT92PqAWw
license: BSD3
maintainer: rrnewton@gmail.com
homepage: https://github.com/rrnewton/haskell-lockfree/wiki
synopsis: Abstract, parameterized interface to mutable Deques.
description:
    An abstract interface to highly-parameterizable queues/deques.
    .
    Background: There exists a feature space for queues that extends between:
    .
    * simple, single-ended, non-concurrent, bounded queues
    .
    * double-ended, threadsafe, growable queues
    .
    ... with important points inbetween (such as
    the queues used for work-stealing).
    .
    This package includes an interface for Deques that allows the
    programmer to use a single API for all of the above, while using the
    type-system to select an efficient implementation given the
    requirements (using type families).
    .
    This package also includes a simple reference implementation based
    on '\''IORef'\'' and "Data.Sequence".
category: Data
author: Ryan R. Newton
exposed: True
exposed-modules:
    Data.Concurrent.Deque.Class Data.Concurrent.Deque.Reference
    Data.Concurrent.Deque.Reference.DequeInstance
    Data.Concurrent.Deque.Debugger
trusted: False
import-dirs: /usr/lib/ghc-7.10.3/site-local/abstract-deque-0.3
library-dirs: /usr/lib/ghc-7.10.3/site-local/abstract-deque-0.3
data-dir: /usr/share/arm-linux-ghc-7.10.3/abstract-deque-0.3
hs-libraries: HSabstract-deque-0.3-I3MsaUDHxwBLOJT92PqAWw
depends:
    array-0.5.1.0-a4b4f31b03b7779670557ea46745a386
    base-4.8.2.0-2f1f71a7fcf013cd47fd21f489064f9a
    containers-0.5.6.2-169e53288f333dd2f0207994fd53822f
    random-1.1-41a0a7ecd483c665a5c3a093a5be2968
    time-1.5.0.1-cf94b0d806e26f6c4e356671290061b2
haddock-interfaces: /usr/share/doc/haskell-abstract-deque/html/abstract-deque.haddock
haddock-html: /usr/share/doc/haskell-abstract-deque/html
' | '/usr/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
